Subject: Re: [Xml-sg-cmt] sourcecode type values - Re: AUTH48 [RE]: RFC 9148 <draft-ietf-ace-coap-est-18>

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 8 Sep 2021 16:10:44 -0600

On 8/30/21 11:54 AM, John R Levine wrote:
>> We received a request from Michael Richardson to add these types:
>> "core-link-format", "coap", "certificate", and "private key"
>> Details below. OK to add to the list
>> (https://www.rfc-editor.org/materials/sourcecode-types.txt)?
> 
> Since asn.1 is already on the list, and certificate is indeed encoded as
> asn.1, I'd use that rather than invent a new type.
> 
> I guess coap and core-link-format are OK.  The private key looks like
> artwork to me, since it's just a dump of the key, not anything with a
> particular syntax.

That seems reasonable. Also, I doubt the value of extracting private
keys from RFCs...

Peter